GraphQL / Object Interface Related Structures.| Parameter Name | Required | Type | Explanation |
|---|---|---|---|
| objectIdList | yes | []string | List of object IDs to query |
| mainAttr | yes | string | Main attribute to query, currently supports attributes |
| subAttrs | no | []string | Sub-attributes to query, for example, some custom properties under attributes. If this parameter is not provided or is empty, all sub-attributes will be queried. |
| Parameter Name | Required | Type | Explanation |
|---|---|---|---|
| errorCode | yes | string | Error code |
| errorInfo | yes | string | Error message |
| result | no | []MsgReqGetObjectAttrItem | Return the attr attribute values corresponding to each object. |
| Parameter Name | Required | Type | Explanation |
|---|---|---|---|
| objectId | yes | string | The ID of the object |
| attrList | no | []ObjectAttrItem | The name-value list of the object's attributes. |
| Parameter Name | Required | Type | Explanation |
|---|---|---|---|
| attrName | yes | string | The name of the attribute |
| attrValue | no | []string | The value of the attribute |
Authorization: Bearer ********************curl --location 'https://mma.tvunetworks.com/api/objectd/v1/query' \
--header 'SID: ' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"query": "query getObjectAttr { getObjectAttr(input: { objectIdList: [\"178291023\"], mainAttr: \"attributes\", subAttrs: [\"vespertest\", \"aidentest\"] }) { errorCode errorInfo result { objectId attrList { attrName attrValue } } } }"
}'{
"data": {
"getObjectAttr": {
"errorCode": "0x0",
"errorInfo": "Succ",
"result": [
{
"objectId": "178291023",
"attrList": [
{
"attrName": "test",
"attrValue": [
"test value",
"test value2"
]
},
{
"attrName": "aidentest",
"attrValue": [
"aiden value1"
]
},
{
"attrName": "vespertest",
"attrValue": [
"vesper value1"
]
}
]
}
]
}
}
}